import setuptools

setuptools.setup(
    name="algotom",
    version="1.0",
    author="Nghia Vo",
    author_email="nghia.vo@diamond.ac.uk",
    description="Data processing algorithms for parallel-beam tomography",
    keywords=["Parallel-beam Computed Tomography", "Image Reconstruction", "Tomography"],
    url="https://github.com/algotom/algotom",
    license="Apache 2.0",
    platforms="Any",
    packages=setuptools.find_packages(include=["algotom","algotom.*"]),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Apache Software License",
        "Intended Audience :: Science/Research",
        "Operating System :: OS Independent",
        "Natural Language :: English",
        "Topic :: Scientific/Engineering :: Image Reconstruction"
    ],
    install_requires=[
        "numpy",
        "numba>=0.50.1",
        "scipy",
        "h5py",
        "pillow",
        "pyfftw",
        "pywavelets"
    ],
    python_requires='>=3.7',
)
